## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pykeepass
Version:        4.0.3
Release:        %autorelease
Epoch:          1
Summary:        Python library to interact with keepass databases

# The entire source is GPL-3.0-only, except:
#
# MIT:
#   pykeepass/kdbx_parsing/twofish.py
License:        GPL-3.0-only AND MIT
URL:            https://github.com/libkeepass/pykeepass
# The GitHub archive has tests; the PyPI sdist does not.
Source0:        %{url}/archive/v%{version}/pykeepass-%{version}.tar.gz

BuildArch:      noarch
# Tests fail on big-endian platform (s390x)
# https://bugzilla.redhat.com/show_bug.cgi?id=2156942
# https://github.com/libkeepass/pykeepass/issues/332
ExcludeArch:    s390x
 
BuildRequires:  python3-devel

%global common_description %{expand:
This library allows you to write entries to a KeePass database.}

%description %{common_description}


%package -n     python3-pykeepass
Summary:        %{summary}
 
%description -n python3-pykeepass %{common_description}


%prep
%autosetup -n pykeepass-%{version}

# Convert exact-version pins, which we cannot respect, to lower bounds.
sed -r -i 's/==/>=/' requirements.txt


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pykeepass


%check
%{python3} -m unittest discover -s tests -v


%files -n python3-pykeepass -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1:4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:4.0.3-3
- Add ExcludeArch: s390x

* Thu Dec 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:4.0.3-2
- Migrate to pyproject-rpm-macros and SPDX
- Run the upstream tests
- Package the changelog as documentation

* Wed Oct 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> 1:4.0.3-1
- build: Bump epoch due >4.0.1 API break

* Fri Oct 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> 4.0.3-1
- chore(update): 4.0.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 4.0.2-3
- Rebuilt for Python 3.11

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.2-1
- chore(update): 4.0.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.0.1-2
- Rebuilt for Python 3.10

* Sat May 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-1
- build(update): 4.0.1

* Wed Apr 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-3
- fix: Project URL | RH#1949631

* Mon Mar 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-2
- build: Drop manual Requires

* Mon Feb 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1
- build(update): 4.0.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.1-1
- build(update): 3.2.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.2.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-1
- Update to 3.2.0

* Wed Sep 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.3-2
- Built with with system 'pycryptodomex'
- Cleanup spec file

* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 3.0.3-1
- initial build

